View Issue Details

IDProjectCategoryView StatusLast Update
0002847Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.4.0.873 
Target VersionFixed in Version6.4.0.886 
Summary0002847: Logbook: can crash while drawing background of "Radio Screen" View
DescriptionReports are found on the Dev Dashboard that the Logbook can crash when drawing the background image on the "Radio Screen" view.

No clear repro case since the Dev Dashboard just gives a raw, static call stack for the crash -- but it looks like there's a de-reference of a NULL pointer to a drawing object. The attached spreadsheet has a populated stack for the crash.



TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-08-22 08:40

manager  

Mantis2847.xlsx (15,803 bytes)

K7ZCZ

2018-08-25 12:11

manager   ~0006004

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4306

g3ucq

2018-08-30 06:01

viewer   ~0006022

The Radio Screen opens immediately with no problems. Fixed

Issue History

Date Modified Username Field Change
2018-08-21 22:22 K7ZCZ New Issue
2018-08-22 08:40 K7ZCZ File Added: Mantis2847.xlsx
2018-08-25 12:11 K7ZCZ Assigned To => K7ZCZ
2018-08-25 12:11 K7ZCZ Status new => resolved
2018-08-25 12:11 K7ZCZ Resolution open => fixed
2018-08-25 12:11 K7ZCZ Note Added: 0006004
2018-08-29 18:39 K7ZCZ Fixed in Version => 6.4.0.877
2018-08-30 06:01 g3ucq Note Added: 0006022
2018-09-07 16:35 WA9PIE Status resolved => closed
2018-09-07 16:35 WA9PIE Description Updated View Revisions
2018-09-07 16:35 WA9PIE Testing Not Started => Beta Successful
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.877 => 6.4.0.886